
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
#include <stdlib.h>


char res [32][160];

static char shape[][8] = 
{
   "1110111",
   "0010010",
   "1011101",
   "1011011",
   "0111010",
   "1101011",
   "1101111",
   "1010010",
   "1111111",
   "1111011"
};


int printdig (int sz, int col, int dig)
{
   for ( int i = 0;  i < sz;  ++i )
   {
      if ( shape[dig][0] == '1' )
         res[0][col+1+i] = '-';
	 
      if ( shape[dig][1] == '1' )
         res[1+i][col] = '|';
      
      if ( shape[dig][2] == '1' )
         res[1+i][col+sz+1] = '|';
      
      if ( shape[dig][3] == '1' )
         res[sz+1][col+1+i] = '-';
      
      if ( shape[dig][4] == '1' )
         res[2+sz+i][col] = '|';
      
      if ( shape[dig][5] == '1' )
         res[2+sz+i][col+sz+1] = '|';
      
      if ( shape[dig][6] == '1' )
         res[sz+sz+2][col+1+i] = '-';
      
   }
   
   return dig;
}


int main (void)
{
   FILE* fin = fopen ("lcd.in", "r");
   
   
   for ( ; ; )
   {
      int sz;
      if ( fscanf (fin, "%d ", &sz) < 1 )  break;
      if ( sz == 0 )  break;
      memset (&res, ' ', sizeof (res));
      
      int ch;
      int col = 0;
      for ( ; ; )
      {
         ch = fgetc (fin);
         if ( !isdigit (ch) )  break;
         
         printdig (sz, col, ch - '0');
         col += sz + 3;
      }
      
      for ( int i = 0;  i < sz * 2 + 3;  ++i )
      {
         res[i][col-1] = '\0';
         puts (res[i]);
      }
      puts ("");
   }
   
   fclose (fin);
   return 0;
}
