
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
#include <stdlib.h>


int map [8];

char vals [256];


int main (void)
{
   FILE* fin = fopen ("stree.in", "r");
   int task = 0;
   
   int n, i, m;
   while ( fscanf (fin, "%d\n", &n) == 1 )
   {
      if ( n == 0 )  break;
      for ( i = 0;  i < n;  ++i )
      {
         fscanf (fin, "x%d", map+i);
         --map[i];
         fgetc (fin);
      }
      
      for ( i = 0;  i < (1<<n);  ++i )
         vals[i] = fgetc (fin);
      fgetc (fin);

      printf ("S-Tree #%d:\n", ++task);
      
      fscanf (fin, "%d\n", &m);
      for ( i = 0;  i < m;  ++i )
      {
         int idx = 0;
         for ( int j = 0;  j < n;  ++j )
         {
            int ch = fgetc(fin) - '0';
            idx |= ch;
            idx <<= 1;
         }
         fgetc (fin);
         idx >>= 1;
         putchar (vals[idx]);
      }
      printf ("\n\n");
   }
   
   fclose (fin);
   return 0;
}
